-- MySQL Script generated by MySQL Workbench
-- L 05 jaan  2019 23:41:03 EET
-- Model: New Model    Version: 1.0
-- MySQL Workbench Forward Engineering

SET @OLD_UNIQUE_CHECKS=@@UNIQUE_CHECKS, UNIQUE_CHECKS=0;
SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0;
SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE='ONLY_FULL_GROUP_BY,STRICT_TRANS_TABLES,NO_ZERO_IN_DATE,NO_ZERO_DATE,ERROR_FOR_DIVISION_BY_ZERO,NO_ENGINE_SUBSTITUTION';

-- -----------------------------------------------------
-- Schema tarkvaraprojekt
-- -----------------------------------------------------

-- -----------------------------------------------------
-- Schema tarkvaraprojekt
-- -----------------------------------------------------
CREATE SCHEMA IF NOT EXISTS `tarkvaraprojekt` DEFAULT CHARACTER SET utf8 ;
USE `tarkvaraprojekt` ;

-- -----------------------------------------------------
-- Table `tarkvaraprojekt`.`users`
-- -----------------------------------------------------
CREATE TABLE IF NOT EXISTS `tarkvaraprojekt`.`users` (
  `id` INT(10) UNSIGNED NOT NULL,
  `first_name` VARCHAR(45) NULL,
  `last_name` VARCHAR(45) NULL,
  `email` VARCHAR(45) NULL,
  `registered_at` DATETIME NOT NULL,
  PRIMARY KEY (`id`))
ENGINE = InnoDB;


-- -----------------------------------------------------
-- Table `tarkvaraprojekt`.`events`
-- -----------------------------------------------------
CREATE TABLE IF NOT EXISTS `tarkvaraprojekt`.`events` (
  `id` INT(10) UNSIGNED NOT NULL,
  `name` VARCHAR(45) NULL,
  `at` DATE NULL,
  `created_by` INT(10) UNSIGNED NOT NULL,
  PRIMARY KEY (`id`),
  INDEX `fk_events_users1_idx` (`created_by` ASC) VISIBLE,
  CONSTRAINT `fk_events_users1`
    FOREIGN KEY (`created_by`)
    REFERENCES `tarkvaraprojekt`.`users` (`id`)
    ON DELETE NO ACTION
    ON UPDATE NO ACTION)
ENGINE = InnoDB;


-- -----------------------------------------------------
-- Table `tarkvaraprojekt`.`applications`
-- -----------------------------------------------------
CREATE TABLE IF NOT EXISTS `tarkvaraprojekt`.`applications` (
  `id` INT(10) UNSIGNED NOT NULL,
  `user_id` INT(10) UNSIGNED NOT NULL,
  `group_name` VARCHAR(45) NULL,
  `applied_at` DATE NOT NULL,
  PRIMARY KEY (`id`),
  INDEX `fk_applications_users_1_idx` (`user_id` ASC) VISIBLE,
  CONSTRAINT `fk_applications_users_1`
    FOREIGN KEY (`user_id`)
    REFERENCES `tarkvaraprojekt`.`users` (`id`)
    ON DELETE NO ACTION
    ON UPDATE NO ACTION)
ENGINE = InnoDB;


-- -----------------------------------------------------
-- Table `tarkvaraprojekt`.`groups`
-- -----------------------------------------------------
CREATE TABLE IF NOT EXISTS `tarkvaraprojekt`.`groups` (
  `id` INT(10) UNSIGNED NOT NULL,
  `name` VARCHAR(45) NOT NULL,
  PRIMARY KEY (`id`))
ENGINE = InnoDB;


-- -----------------------------------------------------
-- Table `tarkvaraprojekt`.`announcements`
-- -----------------------------------------------------
CREATE TABLE IF NOT EXISTS `tarkvaraprojekt`.`announcements` (
  `id` INT(10) UNSIGNED NOT NULL,
  `text` TEXT NOT NULL,
  `created_by` INT(10) UNSIGNED NULL,
  PRIMARY KEY (`id`),
  INDEX `fk_announcements_users1_idx` (`created_by` ASC) VISIBLE,
  CONSTRAINT `fk_announcements_users1`
    FOREIGN KEY (`created_by`)
    REFERENCES `tarkvaraprojekt`.`users` (`id`)
    ON DELETE NO ACTION
    ON UPDATE NO ACTION)
ENGINE = InnoDB;


-- -----------------------------------------------------
-- Table `tarkvaraprojekt`.`users_groups`
-- -----------------------------------------------------
CREATE TABLE IF NOT EXISTS `tarkvaraprojekt`.`users_groups` (
  `user_id` INT(10) UNSIGNED NOT NULL,
  `group_id` INT(10) UNSIGNED NOT NULL,
  PRIMARY KEY (`user_id`, `group_id`),
  INDEX `fk_users_has_groups_groups1_idx` (`group_id` ASC) VISIBLE,
  INDEX `fk_users_has_groups_users1_idx` (`user_id` ASC) VISIBLE,
  CONSTRAINT `fk_users_has_groups_users1`
    FOREIGN KEY (`user_id`)
    REFERENCES `tarkvaraprojekt`.`users` (`id`)
    ON DELETE NO ACTION
    ON UPDATE NO ACTION,
  CONSTRAINT `fk_users_has_groups_groups1`
    FOREIGN KEY (`group_id`)
    REFERENCES `tarkvaraprojekt`.`groups` (`id`)
    ON DELETE NO ACTION
    ON UPDATE NO ACTION)
ENGINE = InnoDB;


SET SQL_MODE=@OLD_SQL_MODE;
SET FOREIGN_KEY_CHECKS=@OLD_FOREIGN_KEY_CHECKS;
SET UNIQUE_CHECKS=@OLD_UNIQUE_CHECKS;
